---
title: Ignore a source
slug: Tools/Debugger/How_to/Ignore_a_source
---
<div>{{ToolsSidebar}}</div>

<p>In modern web development, we often rely on libraries like <a href="http://jquery.com/">jQuery</a>, <a href="http://emberjs.com/">Ember</a>, or <a href="http://angularjs.org/">Angular</a>, and 99% of the time we can safely assume that they “just work”. We don’t care about the internal implementation of these libraries. However, a library’s abstraction leaks during debugging sessions when you are forced to step through its stack frames in order to reach your own code. However, you can tell the debugger to ignore the details of selected sources.</p>

<p>You can enable or disable ignoring a source file in a couple of ways:</p>

<ul>
 <li>In the <a href="/en-US/docs/Tools/Debugger/UI_Tour#Source_list_pane">source list pane</a>, right-click the filename and choose <strong>Ignore source</strong> (or <strong>Unignore source</strong>).</li>
 <li>If the source file is displayed in the <a href="/en-US/docs/Tools/Debugger/UI_Tour#Source_pane">source pane</a>, click the "eye" icon at the bottom.</li>
</ul>

<p><img alt='Screenshot showing the context menu item to ignore a source file, and highlighting the "ignore" icon.' src="https://mdn.mozillademos.org/files/17323/debugger-ignore.png" style="border-style: solid; border-width: 1px; display: block; height: 352px; margin-left: auto; margin-right: auto; width: 967px;"></p>

<p>When a source file is ignored:</p>

<ul>
 <li>Any breakpoints it may have defined are disabled.</li>
 <li>When “Pause on Exceptions” is enabled in the <a href="/en-US/docs/Tools/Debugger/Settings">Debugger settings</a>, the debugger won’t pause when an exception is thrown in the ignored source; instead it waits until (and if) the stack unwinds to a frame in a source that isn’t ignored.</li>
 <li>The debugger skips through ignored sources when stepping.</li>
</ul>
